package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmEmpClaimForm extends HrmBaseForm {
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  ArrayList arylstHrmEmpClaim = new ArrayList();
  
  private String claimCode;
  
  private String startDate;
  
  private String endDate;
  
  private String claimCodeId;
  
  private String butClaimCode;
  
  private String disabbutClaimCode;
  
  private String butStartDate;
  
  private String disabbutStartDate;
  
  private String butEndDate;
  
  private String disabbutEndDate;
  
  private String empNo;
  
  private String empDtlId;
  
  private String butEmpNo;
  
  private String disabbutEmpNo;
  
  private String[] selectAll;
  
  private String[] txtEmpId;
  
  private String[] txtApproverId;
  
  private String[] txtEmployeeNo;
  
  private String[] txtEmployeeName;
  
  private String[] txtAppliedAmount;
  
  private String[] txtApplnDate;
  
  private String[] txtEligibleAmount;
  
  private String[] txtReimbursementTillDate;
  
  private String[] txtPayrollFlag;
  
  private String[] txtApprovedAmount;
  
  private String[] txtApprovalDate;
  
  private String[] txtApprovedBy;
  
  private String[] txtRemarks;
  
  private String butApprovedBy;
  
  private String butTxtApprovalDate;
  
  private String butTxtApplnDate;
  
  private String butEmployeeNo;
  
  private String[] txtClaimCode;
  
  private String butDtlClaimCode;
  
  private String[] txtClaimDtlId;
  
  private String[] txtClaimNo;
  
  private String claimNo;
  
  private String butClaimNo;
  
  private String disabbutClaimNo;
  
  private String[] txtNewRemarks;
  
  private String period;
  
  public ArrayList getArylstHrmEmpClaim() {
    return this.arylstHrmEmpClaim;
  }
  
  public void setArylstHrmEmpClaim(ArrayList newArylstHrmEmpClaim) {
    this.arylstHrmEmpClaim = newArylstHrmEmpClaim;
  }
  
  public String getClaimCode() {
    return this.claimCode;
  }
  
  public void setClaimCode(String newClaimCode) {
    this.claimCode = newClaimCode;
  }
  
  public String getStartDate() {
    return this.startDate;
  }
  
  public void setStartDate(String newStartDate) {
    this.startDate = newStartDate;
  }
  
  public String getEndDate() {
    return this.endDate;
  }
  
  public void setEndDate(String newEndDate) {
    this.endDate = newEndDate;
  }
  
  public String getClaimCodeId() {
    return this.claimCodeId;
  }
  
  public void setClaimCodeId(String newClaimCodeId) {
    this.claimCodeId = newClaimCodeId;
  }
  
  public String getButClaimCode() {
    return this.butClaimCode;
  }
  
  public void setButClaimCode(String newButClaimCode) {
    this.butClaimCode = newButClaimCode;
  }
  
  public String getDisabbutClaimCode() {
    return this.disabbutClaimCode;
  }
  
  public void setDisabbutClaimCode(String newDisabbutClaimCode) {
    this.disabbutClaimCode = newDisabbutClaimCode;
  }
  
  public String getButStartDate() {
    return this.butStartDate;
  }
  
  public void setButStartDate(String newButStartDate) {
    this.butStartDate = newButStartDate;
  }
  
  public String getDisabbutStartDate() {
    return this.disabbutStartDate;
  }
  
  public void setDisabbutStartDate(String newDisabbutStartDate) {
    this.disabbutStartDate = newDisabbutStartDate;
  }
  
  public String getButEndDate() {
    return this.butEndDate;
  }
  
  public void setButEndDate(String newButEndDate) {
    this.butEndDate = newButEndDate;
  }
  
  public String getDisabbutEndDate() {
    return this.disabbutEndDate;
  }
  
  public void setDisabbutEndDate(String newDisabbutEndDate) {
    this.disabbutEndDate = newDisabbutEndDate;
  }
  
  public String getEmpNo() {
    return this.empNo;
  }
  
  public void setEmpNo(String newEmpNo) {
    this.empNo = newEmpNo;
  }
  
  public String getEmpDtlId() {
    return this.empDtlId;
  }
  
  public void setEmpDtlId(String newEmpDtlId) {
    this.empDtlId = newEmpDtlId;
  }
  
  public String getButEmpNo() {
    return this.butEmpNo;
  }
  
  public void setButEmpNo(String newButEmpNo) {
    this.butEmpNo = newButEmpNo;
  }
  
  public String getDisabbutEmpNo() {
    return this.disabbutEmpNo;
  }
  
  public void setDisabbutEmpNo(String newDisabbutEmpNo) {
    this.disabbutEmpNo = newDisabbutEmpNo;
  }
  
  public String[] getSelectAll() {
    return this.selectAll;
  }
  
  public void setSelectAll(String[] newSelectAll) {
    this.selectAll = newSelectAll;
  }
  
  public String[] getTxtEmpId() {
    return this.txtEmpId;
  }
  
  public void setTxtEmpId(String[] newTxtEmpId) {
    this.txtEmpId = newTxtEmpId;
  }
  
  public String[] getTxtApproverId() {
    return this.txtApproverId;
  }
  
  public void setTxtApproverId(String[] newTxtApproverId) {
    this.txtApproverId = newTxtApproverId;
  }
  
  public String[] getTxtEmployeeNo() {
    return this.txtEmployeeNo;
  }
  
  public void setTxtEmployeeNo(String[] newTxtEmployeeNo) {
    this.txtEmployeeNo = newTxtEmployeeNo;
  }
  
  public String[] getTxtEmployeeName() {
    return this.txtEmployeeName;
  }
  
  public void setTxtEmployeeName(String[] newTxtEmployeeName) {
    this.txtEmployeeName = newTxtEmployeeName;
  }
  
  public String[] getTxtAppliedAmount() {
    return this.txtAppliedAmount;
  }
  
  public void setTxtAppliedAmount(String[] newTxtAppliedAmount) {
    this.txtAppliedAmount = newTxtAppliedAmount;
  }
  
  public String[] getTxtApplnDate() {
    return this.txtApplnDate;
  }
  
  public void setTxtApplnDate(String[] newTxtApplnDate) {
    this.txtApplnDate = newTxtApplnDate;
  }
  
  public String[] getTxtEligibleAmount() {
    return this.txtEligibleAmount;
  }
  
  public void setTxtEligibleAmount(String[] newTxtEligibleAmount) {
    this.txtEligibleAmount = newTxtEligibleAmount;
  }
  
  public String[] getTxtReimbursementTillDate() {
    return this.txtReimbursementTillDate;
  }
  
  public void setTxtReimbursementTillDate(String[] newTxtReimbursementTillDate) {
    this.txtReimbursementTillDate = newTxtReimbursementTillDate;
  }
  
  public String[] getTxtPayrollFlag() {
    return this.txtPayrollFlag;
  }
  
  public void setTxtPayrollFlag(String[] newTxtPayrollFlag) {
    this.txtPayrollFlag = newTxtPayrollFlag;
  }
  
  public String[] getTxtApprovedAmount() {
    return this.txtApprovedAmount;
  }
  
  public void setTxtApprovedAmount(String[] newTxtApprovedAmount) {
    this.txtApprovedAmount = newTxtApprovedAmount;
  }
  
  public String[] getTxtApprovalDate() {
    return this.txtApprovalDate;
  }
  
  public void setTxtApprovalDate(String[] newTxtApprovalDate) {
    this.txtApprovalDate = newTxtApprovalDate;
  }
  
  public String[] getTxtApprovedBy() {
    return this.txtApprovedBy;
  }
  
  public void setTxtApprovedBy(String[] newTxtApprovedBy) {
    this.txtApprovedBy = newTxtApprovedBy;
  }
  
  public String[] getTxtRemarks() {
    return this.txtRemarks;
  }
  
  public void setTxtRemarks(String[] newTxtRemarks) {
    this.txtRemarks = newTxtRemarks;
  }
  
  public String getButApprovedBy() {
    return this.butApprovedBy;
  }
  
  public void setButApprovedBy(String newButApprovedBy) {
    this.butApprovedBy = newButApprovedBy;
  }
  
  public String getButTxtApprovalDate() {
    return this.butTxtApprovalDate;
  }
  
  public void setButTxtApprovalDate(String newButTxtApprovalDate) {
    this.butTxtApprovalDate = newButTxtApprovalDate;
  }
  
  public String getButTxtApplnDate() {
    return this.butTxtApplnDate;
  }
  
  public void setButTxtApplnDate(String newButTxtApplnDate) {
    this.butTxtApplnDate = newButTxtApplnDate;
  }
  
  public String getButEmployeeNo() {
    return this.butEmployeeNo;
  }
  
  public void setButEmployeeNo(String newButEmployeeNo) {
    this.butEmployeeNo = newButEmployeeNo;
  }
  
  public String[] getTxtClaimCode() {
    return this.txtClaimCode;
  }
  
  public void setTxtClaimCode(String[] newTxtClaimCode) {
    this.txtClaimCode = newTxtClaimCode;
  }
  
  public String getButDtlClaimCode() {
    return this.butDtlClaimCode;
  }
  
  public void setButDtlClaimCode(String newButDtlClaimCode) {
    this.butDtlClaimCode = newButDtlClaimCode;
  }
  
  public String[] getTxtClaimDtlId() {
    return this.txtClaimDtlId;
  }
  
  public void setTxtClaimDtlId(String[] newTxtClaimDtlId) {
    this.txtClaimDtlId = newTxtClaimDtlId;
  }
  
  public String[] getTxtClaimNo() {
    return this.txtClaimNo;
  }
  
  public void setTxtClaimNo(String[] newTxtClaimNo) {
    this.txtClaimNo = newTxtClaimNo;
  }
  
  public String getClaimNo() {
    return this.claimNo;
  }
  
  public void setClaimNo(String newClaimNo) {
    this.claimNo = newClaimNo;
  }
  
  public String getButClaimNo() {
    return this.butClaimNo;
  }
  
  public void setButClaimNo(String newButClaimNo) {
    this.butClaimNo = newButClaimNo;
  }
  
  public String getDisabbutClaimNo() {
    return this.disabbutClaimNo;
  }
  
  public void setDisabbutClaimNo(String newDisabbutClaimNo) {
    this.disabbutClaimNo = newDisabbutClaimNo;
  }
  
  public String[] getTxtNewRemarks() {
    return this.txtNewRemarks;
  }
  
  public void setTxtNewRemarks(String[] newTxtNewRemarks) {
    this.txtNewRemarks = newTxtNewRemarks;
  }
  
  public String getPeriod() {
    return this.period;
  }
  
  public void setPeriod(String newPeriod) {
    this.period = newPeriod;
  }
}
